Skip to main content
POST
/
v2
/
customer
/
list
Update customer mapping
curl --request POST \
  --url https://app.getswipe.in/api/partner/v2/customer/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_mapping": [
    {
      "customer_id": "<string>",
      "swipe_id": "1",
      "force_update": true
    }
  ]
}
'
import requests

url = "https://app.getswipe.in/api/partner/v2/customer/list"

payload = { "customer_mapping": [
{
"customer_id": "<string>",
"swipe_id": "1",
"force_update": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_mapping: [{customer_id: '<string>', swipe_id: '1', force_update: true}]
})
};

fetch('https://app.getswipe.in/api/partner/v2/customer/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "",
  "error_code": "",
  "errors": {},
  "data": {
    "message": "No data found!"
  }
}
{
"success": true,
"message": "",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}
{
"success": true,
"message": "",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}
{
"success": true,
"message": "Message",
"error_code": "",
"errors": {},
"data": {}
}
{
"success": true,
"message": "",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Body

application/json
customer_mapping
object[]
required

Response

Updated successfully

success
boolean

Success flag

Example:

true

message
string

Response message

Example:

""

error_code
string

Error Code

Example:

""

errors
object

Errors

data
object